#!/usr/bin/env python

"""A library that provides a Python interface to the Telegram Bots API"""

__author__ = 'leandrotoledodesouza@gmail.com'
__version__ = '2.1'

from .user import User
from .message import Message
from .update import Update
from .groupchat import GroupChat
from .photosize import PhotoSize
from .audio import Audio
from .document import Document
from .sticker import Sticker
from .video import Video
from .contact import Contact
from .location import Location
from .chataction import ChatAction
from .userprofilephotos import UserProfilePhotos
from .replymarkup import ReplyMarkup
from .replykeyboardmarkup import ReplyKeyboardMarkup
from .replykeyboardhide import ReplyKeyboardHide
from .forcereply import ForceReply
from .inputfile import InputFile
from .error import TelegramError
from .emoji import Emoji
from .base import TelegramObject
from .bot import Bot

__all__ = ['Bot', 'Emoji', 'TelegramError', 'InputFile', 'ReplyMarkup',
           'ForceReply', 'ReplyKeyboardHide', 'ReplyKeyboardMarkup',
           'UserProfilePhotos', 'ChatAction', 'Location', 'Contact',
           'Video', 'Sticker', 'Document', 'Audio', 'PhotoSize', 'GroupChat',
           'Update', 'Message', 'User', 'TelegramObject']
